<?php
require_once "stimulsoft/helper.php";
?>
<!DOCTYPE html>

<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<title>Report.mrt - Viewer</title>
	<link rel="stylesheet" type="text/css" href="css/stimulsoft.viewer.office2013.whitegreen.css">
	<script type="text/javascript" src="scripts/stimulsoft.reports.js"></script>
	<script type="text/javascript" src="scripts/stimulsoft.reports.maps.js"></script>
	<script type="text/javascript" src="scripts/stimulsoft.viewer.js"></script>

	<?php
		$options = StiHelper::createOptions();
		$options->handler = "handler.php";
		$options->timeout = 30;
		StiHelper::initialize($options);
	?>
	<script type="text/javascript">
		function Start() {
			Stimulsoft.Base.StiLicense.key =
				"6vJhGtLLLz2GNviWmUTrhSqnOItdDwjBylQzQcAOiHnFYCFB1d+O7Ptyxibviz35k/9cPSEk7q06gWF+" +
				"692D9dK/YWD/Ui88Nk+tdPa165r3V0s3cm9D1VErXt6BsurokRrU0k+STgzqUBr2U1xpCrGe3vpIAnfK" +
				"z92oISircV9kxSzGnU3NJMjPvhHYrBi1QQixm2jGX8jkOnI2/ihjJPLd486p90CtdwnTnYst34YMJ/Vm" +
				"S0Zif5BjFNbDP6kDO9ofceNoJh5zNo7AJ94C3NK5L6sJjodqDJxU3P5zhXdpnq0TdMZ+rJffOzNYDuec" +
				"qocKLv0II9MSvH3MOeHb9M9iBOTlxNmUgSD9NVgWhr7ji5HfFeOVh2PwgXkTYE3SEBsBEEba0dD/m9gA" +
				"MboN7Mr5crjKTfsX8Z1rbCMpQElB0CM+NCmbfBIJdloMGXOFpfchF8yQ013MVLPLYt2aZCbsEovBWuwp" +
				"0NICNEFUvjAy5f0HCIrbEhqJXbwiGOwq53Sq1gbZ+49//DZJw1Tdx5TJB4bSeeVd2GJHtghYgzy79IIe" +
				"HKJz8/CS8orJee+OvzJeZkZyDfenpeafO87CRAjqjVScP5Oonj2ByQQ67qmgNGsPZiC4Uwby/svm4E4o" +
				"O+SRBrIfm5FVDmWCQsolEx4DGD8bUijpceGfMVpIPDf/Of/cQPpk6fbHi9rjxfmG5PKcw51su7QJYnqC" +
				"rs0fTA==";

			Stimulsoft.Base.Localization.StiLocalization.setLocalizationFile("localization/nl.xml", true);

			var report = Stimulsoft.Report.StiReport.createNewReport();
			report.loadFile("reports/Report.mrt");

			var options = new Stimulsoft.Viewer.StiViewerOptions();
			options.appearance.fullScreenMode = true;
			options.toolbar.displayMode = Stimulsoft.Viewer.StiToolbarDisplayMode.Separated;
			
			var viewer = new Stimulsoft.Viewer.StiViewer(options, "StiViewer", false);

			viewer.onBeginProcessData = function (args, callback) {
				<?php StiHelper::createHandler(); ?>
			}

			viewer.report = report;
			viewer.renderHtml("viewerContent");
		}
	</script>
</head>
<body onload="Start()">
	<div id="viewerContent"></div>
</body>
</html>